# DkGridColumnComponent

## Component metadata

selector: <mark style="color:red;">`dk-grid-column`</mark>

export as: <mark style="color:red;">`dkgColumn`</mark>

## Class

<mark style="color:green;">`DkGridColumnComponent<T, R>`</mark>

<mark style="color:green;">`<T>`</mark> represents the object's shape coming from the data source.

<mark style="color:green;">`<R>`</mark> represents the column data type: <mark style="color:green;">`string`</mark>, <mark style="color:green;">`number`</mark>, <mark style="color:green;">`Date`</mark>, or <mark style="color:green;">`boolean`</mark>.

## Definition

```typescript
class DkGridColumnComponent<T extends object, R extends string | number | Date | boolean> implements AfterContentInit {

  slotId: string;

  @Input() fieldName: string;
  @Input() headerText: string;
  @Input() headerTooltip: string;
  @Input() dataType: DkColumnDataType;

  @Input()
  get order(): number;
  set order(value: any);
  static ngAcceptInputType_order: NumberInput;

  @Input()
  get width(): number;
  set width(value: any);
  static ngAcceptInputType_width: NumberInput;

  @Input()
  get minWidth(): number;
  set minWidth(value: any);
  static ngAcceptInputType_minWidth: NumberInput;

  @Input()
  get maxWidth(): number;
  set maxWidth(value: any);
  static ngAcceptInputType_maxWidth: NumberInput;

  @Input() contentAlign: ColumnAlignment;

  @Input()
  get draggable(): boolean;
  set draggable(value: any);
  static ngAcceptInputType_draggable: BooleanInput;

  @Input()
  get locked(): boolean;
  set locked(value: any);
  static ngAcceptInputType_locked: BooleanInput;

  @Input()
  get resizable(): boolean;
  set resizable(value: any);
  static ngAcceptInputType_resizable: BooleanInput;

  @Input()
  get visible(): boolean;
  set visible(value: any);
  static ngAcceptInputType_visible: BooleanInput;

  @Input()
  get sortable(): boolean;
  set sortable(value: any);
  static ngAcceptInputType_sortable: BooleanInput;

  @Input()
  get filterable(): boolean;
  set filterable(value: any);
  static ngAcceptInputType_filterable: BooleanInput;

  @Input()
  get editable(): boolean;
  set editable(value: any);
  static ngAcceptInputType_editable: BooleanInput;

  @Input()
  get groupable(): boolean;
  set groupable(value: any);
  static ngAcceptInputType_groupable: BooleanInput;

  @Input()
  get displayMenu(): boolean;
  set displayMenu(value: any);
  static ngAcceptInputType_displayMenu: BooleanInput;

  @Input() filter: DkFilter[];
  @Input() customFilterConditions: CustomFilterConditionInstance<T>;

  @Input() panel: DkGridPanel;

  @Input() displayOn: DisplayStatus;
  @Input() displayStatus: DisplayStatus;

  @Input() getValue: GetterFn<T, R>;
  @Input() setValue: SetterFn<T, R>;

  @Input() editionSettings: EditionFieldSettings;
  @Input() editionTemplate: TemplateRef<any> | null | undefined;
  @Input() displayTemplate: TemplateRef<any> | null | undefined;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dikesoft.com/reference/components/dkgridcolumncomponent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
